CREATE procedure [C6StagingPeriodico].[RP_ST_Proposta_pre_selective]
as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_Proposta_pre_selective',
		GETDATE(),
		'Elaborazione Trimestrale'
	)
	truncate table C6StagingPeriodico.RP_Proposta
	INSERT INTO C6StagingPeriodico.RP_Proposta
	SELECT
		chiaveProposta
		,chiaveConsulenza
		,[status]
		,chiaveClientePB
		,nomeProposta
		,dtProposta
		,dtValidazione
		,dtUltimoAgg
		,dtScadenza
		,risorseFinanziarieBF
		,risorseFinanziarieBT
		,contoCorrente
		,rischioCredito
		,rischioMercato
		,adeguatezza
		,discesaRegime
		,diversificazione
		,copertura
		,codValidazione
		,urlValidazione
		,urlSimulazione
		,urlReport
		,apporti
		,prelievi
		,flgScadenza
		,flgInadRischioCredito
		,flgInadRischioMercato
		,flgInadComplessita
		,flgInadFrequenza
		,flgInadConcentrazione
		,flgInadLiquidita
		,isAttivoRC
		,token
		,flagNuovoFlusso
		,lineaself
		--,null AS lineaself
	FROM [CONSUNI_PERIODICO].[ConsulenzaUnica].dbo.Proposta
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_Proposta_pre_selective' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_Proposta_pre_selective'
		)
end